# NNVisualiser

[![License](https://img.shields.io/badge/License-The_Cat_Standard_License_v1.0-[Color].svg)](https://github.com/CaxtonEmerald-S/NNVisualiser/blob/main/LICENSE.txt)

## Overview

NNVisualiser is a powerful neural network visualization tool that leverages the NeuralNetworkCoordinates package to draw coordinates for various plots. This package offers an extensive collection of plots to facilitate the visualization and understanding of functional transformations at the Neuron, Layer, and Network levels. It serves as an invaluable tool for learning and studying the intricacies of neural networks.

## Key Features

- **Multilevel Visualization:** NNVisualiser provides plots that allow users to visualize and comprehend functional transformations at the Neuron, Layer, and Network levels.

- **Flow Plots for Data Transformation:** The package includes flow plots, offering a comprehensive view of data transformation from input to activations, aiding in understanding the overall flow of information through the network.

- **Compatibility with 1D Networks:** The current version is designed to work with lower-dimensional networks, specifically with 1D input and output. Future releases plan on supporting 2D and N-D input/ output neural networks, extending its utility to higher-dimensional network architectures.

- **Matplotlib Integration:** Powered by Matplotlib, the package generates detailed and clear visualizations, aiding researchers and practitioners in understanding the internal dynamics of the neural network.

- **Explainable AI Alignment:** Aligned with the principles of Explainable AI, NNVisualiser aims to provide concise insights, facilitating a deeper understanding of the intricacies of the neural network.

## Installation

To install NNVisualiser, use pip:
<pre>
pip install NNVisualiser
</pre>

## Usage
Check out the [documentation](https://github.com/CaxtonEmerald-S/NNVisualiser/wiki) for detailed information on how to use this package effectively.

## Documentation
For complete documentation, please refer to the [official documentation](https://github.com/CaxtonEmerald-S/NNVisualiser/wiki).

## License
This package is provided under The Cat Standard License v1.0. See the [LICENSE.txt](https://github.com/CaxtonEmerald-S/NNVisualiser/blob/main/LICENSE.txt) file for details.

## Issues
If you encounter any issues or have suggestions, please open an issue.

## Authors
[Caxton Emerald S](mailto:ces.softwaresolutions@gmail.com), [Vengattaraman T](mailto:vengattaraman.t@pondiuni.ac.in)

By using this package, you agree to its terms and conditions.

© 2023 Caxton Emerald S
